/*
 * Copyright 2006-2020 The MZmine Development Team
 * 
 * This file is part of MZmine 2.
 * 
 * MZmine 2 is free software; you can redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 * 
 * MZmine 2 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 * even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with MZmine 2; if not,
 * write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301
 * USA
 */

package io.github.mzmine.util.color;

/**
 * Color blindness or "normal" vision
 * 
 */
public enum Vision {
    NORMAL_VISION, //
    DEUTERANOPIA, // green blindness, 6% male population
    PROTANOPIA, // red blindness, 1% male population
    TRITANOPIA; // blue blindness, very rare

    @Override
    public String toString() {
        return super.toString().replaceAll("_", " ");
    }
}
